#include <iostream>
#include <string>

using namespace std;

int abs(int x) 
{
	if(x < 0) return -x;
	else return x;	
}

int main() 
{
	char c1, c2;
	int a1, a2;
	string ulaz;
	cin>>ulaz;
	c1 = ulaz[0];
	c2 = ulaz[1];
	cin>>a1>>a2;
	if(abs(a1 - a2) > 1) cout<<"nemoguce";
	else 
	{
		string finalni_string = "";
		string dodatak = "";
		if(a1 > a2) 
		{
			dodatak += c1;
			dodatak += c2;
			for(int i = 0; i < a2; i++) 
			{
				finalni_string += dodatak;
			}
			finalni_string += c1;
		}
		else if(a1 == a2)
		{
			dodatak += c1;
			dodatak += c2;
			for(int i = 0; i < a1; i++)
			{
				finalni_string += dodatak;	
			} 
		}
		else 
		{
			dodatak += c2;
			dodatak += c1;
			for(int i = 0; i < a1; i++)
			{
				finalni_string += dodatak;
			}
			finalni_string += c2;
		}
		cout<<finalni_string;
	}
	return 0;
}